Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Why is my compiler wrong for this purpose
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 7:38 am    Post subject: Why is my compiler wrong for this purpose Reply with quote

I am getting this error message when trying to build the kernel source...

You are building kernel with non-retpoline compiler.
Please update your compiler.
make: *** [arch/x86/Makefile:307: checkbin] Error 1


There is a chance however because I did some updating on my system (not for a while) and my portage tricks and secrets are rusty so I may have actually made backwards progress on updating the system (retrograded it).

I can't exactly recall which emerge activities all went down. Would be great if someone could point me to a place like the logs, or somewhere that emerge history is kept so I can post it and maybe get some help undoing or redoing, or just fixing the problems.

I can say that my system definitely does need about 300 package updates, which are pretty much ready to go, but I am so nervous to start the @world update on account something goes wrong. Maybe someone might chip in with whether updating world is better first and then the kernel. Maybe would this also fix the issue with the compiler as well?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21779
Location: here

PostPosted: Tue Apr 02, 2019 7:57 am    Post subject: Reply with quote

What gcc you use?
retpoline kernel config (CONFIG_RETPOLINE) is used for mitigate spectre bug but <gcc-7.3 not support it.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 7:59 am    Post subject: Reply with quote

Apparently I use two different ones!
Code:

=================================================================
                        Package Settings
=================================================================

sys-devel/gcc-6.4.0-r1::gentoo was built with the following:
USE="cxx fortran (multilib) nls nptl openmp pch (pie) sanitize ssp vtv (-altivec) (-awt) -cilk -debug -doc (-fixed-point) (-gcj) -go -graphite (-hardened) (-jit) (-libssp) -mpx -objc -objc++ -objc-gc -pgo -regression-test -vanilla" ABI_X86="(64)"


sys-devel/gcc-7.3.0-r3::gentoo was built with the following:
USE="cxx fortran (multilib) nls nptl openmp pch (pie) sanitize ssp vtv (-altivec) -cilk -debug -doc (-fixed-point) -go -graphite (-hardened) (-jit) (-libssp) -mpx -objc -objc++ -objc-gc -pgo -regression-test -vanilla" ABI_X86="(64)"



With 6.4 being preferred...
playboy ~ # eselect gcc list
[1] x86_64-pc-linux-gnu-6.4.0 *
[2] x86_64-pc-linux-gnu-7.3.0
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 8:02 am    Post subject: Reply with quote

Hey by the way, since I am doing the large 300 package upgrade now, I by mistake started it over SSH. I don't want to have to maintain the connection to it. Is there an easy way to either (a) allow it to run like disown the process on the server, without taking the extra work to fool the server into thinking it is running...that sounds like way to much work, or else (b) stop and resume the emerge from the last package. And is that would emerge --resume would do, if I halted it midstream.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21779
Location: here

PostPosted: Tue Apr 02, 2019 8:08 am    Post subject: Reply with quote

LIsLinuxIsSogood wrote:
Apparently I use two different ones!

No you installed two different (gcc is slotted package an can coexist different versions as same time) but you use only 6.4.0
Code:
# eselect gcc list
 [1] x86_64-pc-linux-gnu-6.4.0 *
 [2] x86_64-pc-linux-gnu-7.3.0

upgrade gcc to 7.3.0
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 8:11 am    Post subject: Reply with quote

I assume I should probably stop and restart the current 300 packages from merging before doing this. Or I could let that whole thing finish and then do so, but I'm not so clued in on the role of the compiler, so could you please explain does upgrading gcc mean rebuilding some other packages that could have cross-type of dependencies, in other words not necessarily dependencies of gcc itself, but the result of building some new packages (in the future most likely) could cause many rebuilds, y or n?
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 8:13 am    Post subject: Reply with quote

Just started the upgrade of libtool, after switching gcc to profile #2
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 8:15 am    Post subject: Reply with quote

Getting a message about quite a few packages needing a rebuild right away.

I assume that is normal
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43194
Location: 56N 3W

PostPosted: Tue Apr 02, 2019 8:23 am    Post subject: Reply with quote

LIsLinuxIsSogood,

There is no simple answer to that.
It depends what changed. There will me news items that tell what you need to do. I don't see one for the gcc-6 to gcc-7 update.

Did you change anything else?
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 8:24 am    Post subject: Reply with quote

What's up with this yellow squiggly next to the package Upgrade (U ~)?
Code:
[ebuild     U ~] x11-libs/gtk+-3.24.7:3::gentoo [3.24.1:3::gentoo] USE="X cups introspection (-aqua) -broadway -cloudprint -colord -examples -gtk-doc -test -vim-syntax -wayland -xinerama" ABI_X86="(64) -32* (-x32)" 18,922 KiB


Also why would this be trying to upgrade under @preserved-rebuild when the current installation already satisfies the needs for everything else?
Code:
x11-libs/gtk+:3

  (x11-libs/gtk+-3.24.7:3/3::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (x11-libs/gtk+-3.24.1:3/3::gentoo, installed) pulled in by
    >=x11-libs/gtk+-3.24.0:3[aqua?,wayland?,X?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,
abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] required by (dev-cpp/gtkmm-3.24.0:3.0/3.0::gentoo, installed)


EDIT(pjp): Added white space to the second code block to allow for sane line wrapping.
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 8:25 am    Post subject: Reply with quote

Fyi - checked about the news idea, but it isn't saying much. I did the libtool upgrade, now on gcc 7.3, so at least my system should be considered more safe now, as well.. according to Spectre

Code:

playboy ~ # eselect news read
No news is good news.
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 8:30 am    Post subject: Reply with quote

Well I may have figured out the package upgrade, or at least it is merging for now.

I will post back if I have an issue with any of the immediate packages.

And then somehow have to continue the large job of the remaining 260+ updates, from before I upgrading gcc version.
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 9:06 am    Post subject: Reply with quote

Ok so I've completed another bunch of packages.
But this time when I get to nvidia video graphics drivers I get this weird message about modules not being ready in the kernel.
I followed the directions and completing the make on the new kernel, but I think it is not properly aware of a place for the module to go, although there is some other alternative setting for an environment variable that would skip the check altogether and maybe bypass the problem for now initially at least until I can get the new kernel installed, booted or whatever else it needs.

By the way, WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:
Should I be worried about 20-30 packages like this that are skipped or what not when running emerge

Code:

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.

!!! existing preserved libs:
>>> package: app-arch/bzip2-1.0.6-r10
 *  - /usr/lib32/libbz2.so.1
 *  - /usr/lib32/libbz2.so.1.0.6
 *      used by /usr/lib32/libavformat.so.57.83.100 (media-video/ffmpeg-3.4.5)
 *      used by /usr/lib32/libdw-0.170.so (dev-libs/elfutils-0.170-r1)
>>> package: dev-libs/fribidi-1.0.5
 *  - /usr/lib32/libfribidi.so.0
 *  - /usr/lib32/libfribidi.so.0.4.0
 *      used by /usr/lib32/libpango-1.0.so.0.4200.4 (x11-libs/pango-1.42.4)
 *      used by /usr/lib32/libpangocairo-1.0.so.0.4200.4 (x11-libs/pango-1.42.4)
 *      used by /usr/lib32/libpangoft2-1.0.so.0.4200.4 (x11-libs/pango-1.42.4)
 *      used by /usr/lib32/libpangoxft-1.0.so.0.4200.4 (x11-libs/pango-1.42.4)
>>> package: dev-libs/gmp-6.1.2
 *  - /usr/lib32/libgmp.so.10
 *  - /usr/lib32/libgmp.so.10.3.2
 *      used by /usr/lib32/libgnutls.so.30.23.1 (net-libs/gnutls-3.6.6)
 *      used by /usr/lib32/libhogweed.so.4.5 (dev-libs/nettle-3.4.1)
>>> package: dev-libs/libbsd-0.9.1
 *  - /usr/lib32/libbsd.so.0
 *  - /usr/lib32/libbsd.so.0.9.1
 *      used by /usr/lib32/libICE.so.6.3.0 (x11-libs/libICE-1.0.9-r2)
 *      used by /usr/lib32/libXdmcp.so.6.0.0 (x11-libs/libXdmcp-1.1.2-r2)
>>> package: dev-libs/libunistring-0.9.10
 *  - /usr/lib32/libunistring.so.2
 *  - /usr/lib32/libunistring.so.2.1.0
 *      used by /usr/lib32/libgnutls.so.30.23.1 (net-libs/gnutls-3.6.6)
 *      used by /usr/lib32/libidn2.so.0.3.5 (net-dns/libidn2-2.1.1a)
>>> package: dev-libs/lzo-2.10
 *  - /usr/lib32/liblzo2.so.2
 *  - /usr/lib32/liblzo2.so.2.0.0
 *      used by /usr/lib32/libcairo-script-interpreter.so.2.11600.0 (x11-libs/cairo-1.16.0-r2)
>>> package: media-libs/freetype-2.9.1-r3
 *  - /usr/lib32/libfreetype.so.6
 *  - /usr/lib32/libfreetype.so.6.16.1
 *      used by /usr/lib32/libXft.so.2.3.2 (x11-libs/libXft-2.3.2-r1)
 *      used by /usr/lib32/libcairo-script-interpreter.so.2.11600.0 (x11-libs/cairo-1.16.0-r2)
 *      used by /usr/lib32/libcairo.so.2.11600.0 (x11-libs/cairo-1.16.0-r2)
 *      used by 6 other files
>>> package: media-libs/libogg-1.3.3
 *  - /usr/lib32/libogg.so.0
 *  - /usr/lib32/libogg.so.0.8.3
 *      used by /usr/lib32/libsndfile.so.1.0.28 (media-libs/libsndfile-1.0.28-r4)
 *      used by /usr/lib32/libvorbis.so.0.4.8 (media-libs/libvorbis-1.3.6)
 *      used by /usr/lib32/libvorbisfile.so.3.3.7 (media-libs/libvorbis-1.3.6)
>>> package: media-libs/libpng-1.6.35-r1
 *  - /usr/lib32/libpng16.so.16
 *  - /usr/lib32/libpng16.so.16.35.0
 *      used by /usr/lib32/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so (x11-libs/gdk-pixbuf-2.36.12)
 *      used by /usr/lib32/libcairo.so.2.11600.0 (x11-libs/cairo-1.16.0-r2)
>>> package: sys-apps/tcp-wrappers-7.6.22-r1
 *  - /usr/lib32/libwrap.so.0
 *  - /usr/lib32/libwrap.so.0.7.6
 *      used by /usr/lib32/pulseaudio/libpulsecommon-12.2.so (media-sound/pulseaudio-12.2)
>>> package: sys-libs/libcap-2.25
 *  - /usr/lib32/libcap.so.2
 *  - /usr/lib32/libcap.so.2.25
 *      used by /usr/lib32/libpulse-mainloop-glib.so.0.0.5 (media-sound/pulseaudio-12.2)
 *      used by /usr/lib32/libpulse-simple.so.0.1.1 (media-sound/pulseaudio-12.2)
 *      used by /usr/lib32/libpulse.so.0.20.3 (media-sound/pulseaudio-12.2)
 *      used by 2 other files
>>> package: sys-libs/ncurses-6.1-r2
 *  - /usr/lib32/libncurses.so.6
 *  - /usr/lib32/libncurses.so.6.1
 *      used by /usr/lib/llvm/6/lib32/libLLVMSupport.so.6.0.1 (sys-devel/llvm-6.0.1)
>>> package: x11-libs/libXext-1.3.3-r1
 *  - /usr/lib32/libXext.so.6
 *  - /usr/lib32/libXext.so.6.4.0
 *      used by /usr/lib32/libGL.so.1.2.0 (media-libs/mesa-18.2.8)
 *      used by /usr/lib32/libXi.so.6.1.0 (x11-libs/libXi-1.7.9-r1)
 *      used by /usr/lib32/libXmu.so.6.2.0 (x11-libs/libXmu-1.1.2-r1)
 *      used by 13 other files
Use emerge @preserved-rebuild to rebuild packages using these libraries


When I try to emerge like it says it skips all of them with messages about conflicts I guess
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21779
Location: here

PostPosted: Tue Apr 02, 2019 9:21 am    Post subject: Reply with quote

LIsLinuxIsSogood wrote:
When I try to emerge like it says it skips all of them with messages about conflicts I guess

You can post exact emerge output
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 9:23 am    Post subject: Reply with quote

Code:
playboy ~ #  emerge -uDNav --with-bdeps=y --backtrack=100 --autounmask-keep-masks=y @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sys-libs/ncurses-6.1-r2:0/6::gentoo  USE="cxx unicode -ada -debug -doc -gpm -minimal -profile -static-libs -test -threads -tinfo -trace" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] app-arch/bzip2-1.0.6-r10:0/1::gentoo  USE="-static -static-libs" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] virtual/libelf-3:0/1::gentoo  ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXext-1.3.3-r1::gentoo  USE="-doc -static-libs" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] sys-libs/gdbm-1.13-r2:0/1.13::gentoo  USE="berkdb nls readline -exporter -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-db/sqlite-3.25.3:3::gentoo  USE="readline -debug -doc -icu -secure-delete -static-libs -tcl -test -tools" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libICE-1.0.9-r2::gentoo  USE="ipv6 -doc -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/pixman-0.36.0::gentoo  USE="(-altivec) (-loongson2f) (-neon) -static-libs" ABI_X86="(64) -32* (-x32)" CPU_FLAGS_X86="mmxext sse2 ssse3" 0 KiB
[ebuild   R    ] media-libs/libjpeg-turbo-1.5.3-r2::gentoo  USE="-java -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXcomposite-0.4.4-r2::gentoo  USE="-doc -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXcursor-1.1.15::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] sys-libs/libcap-ng-0.7.8::gentoo  USE="-python -static-libs" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_4%)" 0 KiB
[ebuild   R    ] dev-libs/icu-63.1-r1:0/63.1::gentoo  USE="-debug -doc -examples -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] app-text/libpaper-1.1.24-r2::gentoo  ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libxkbfile-1.0.9-r2::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/nspr-4.20::gentoo  USE="-debug" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/xcb-util-renderutil-0.3.9-r2::gentoo  USE="-doc -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/json-c-0.13.1-r1:0/4::gentoo  USE="-doc -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] media-libs/tiff-4.0.10::gentoo [4.0.9-r4::gentoo] USE="cxx zlib -jbig -jpeg -lzma -static-libs -test -webp% -zstd%" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/nettle-3.4.1:0/6.2::gentoo  USE="gmp -doc (-neon) -static-libs -test" ABI_X86="(64) -32* (-x32)" CPU_FLAGS_X86="-aes" 0 KiB
[ebuild   R    ] app-pda/libplist-2.0.0:0/3.1.0::gentoo  USE="-python -static-libs" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_4%)" 0 KiB
[ebuild   R    ] net-libs/libtirpc-1.0.2-r1:0/3::gentoo  USE="ipv6 -kerberos -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libxkbcommon-0.8.2::gentoo  USE="X -doc -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libpciaccess-0.14::gentoo  USE="zlib -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/xcb-util-keysyms-0.4.0-r1::gentoo  USE="-doc -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/xcb-util-wm-0.4.1-r2::gentoo  USE="-doc -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-libs/libvorbis-1.3.6::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] net-libs/libasyncns-0.8-r4::gentoo [0.8-r3::gentoo] USE="-debug -doc" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-libs/speexdsp-1.2_rc3-r2::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" CPU_FLAGS_X86="sse sse2" 0 KiB
[ebuild   R    ] media-libs/webrtc-audio-processing-0.3.1::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/iniparser-3.1-r1::gentoo  USE="-doc -examples -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-libs/libsamplerate-0.1.9::gentoo  USE="-sndfile -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-libs/libao-1.2.2::gentoo  USE="alsa -mmap -nas -pulseaudio -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-libs/libmad-0.15.1b-r9::gentoo  USE="-debug -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-libs/a52dec-0.7.4-r7::gentoo  USE="-djbfft -oss -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-sound/lame-3.100-r1::gentoo  USE="frontend -debug -mp3rtp -sndfile -static-libs" ABI_X86="(64) -32* (-x32)" CPU_FLAGS_X86="(-mmx)" 0 KiB
[ebuild   R    ] media-libs/speex-1.2.0-r1::gentoo  USE="vbr -static-libs -utils" ABI_X86="(64) -32* (-x32)" CPU_FLAGS_X86="sse" 0 KiB
[ebuild   R    ] dev-libs/libev-4.23::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-libs/audiofile-0.3.6-r3:0/1::gentoo  USE="-flac -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXi-1.7.9-r1::gentoo  USE="-doc -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libSM-1.2.3::gentoo  USE="ipv6 uuid -doc -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libvdpau-1.1.1::gentoo  USE="dri -doc -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] virtual/jpeg-0-r2::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXv-1.0.11-r1::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/nss-3.40.1-r1::gentoo  USE="nss-pem -cacert -utils" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] sys-process/audit-2.8.4::gentoo  USE="-gssapi -ldap -python -static-libs" ABI_X86="(64) -32* (-x32)" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_4%)" 0 KiB
[ebuild     U  ] media-sound/alsa-utils-1.1.8:0.9::gentoo [1.1.6:0.9::gentoo] USE="libsamplerate ncurses nls -bat -doc (-selinux)" 0 KiB
[ebuild   R    ] net-libs/libnsl-1.2.0:0/2::gentoo  ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] virtual/jpeg-62:62::gentoo  ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXt-1.1.5-r1::gentoo  USE="-static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXtst-1.2.3-r1::gentoo  USE="-doc -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXmu-1.1.2-r1::gentoo  USE="ipv6 -doc -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] virtual/opengl-7.0-r2::gentoo  ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-libs/libtxc_dxtn-1.0.1-r4::gentoo  ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-libs/glu-9.0.0-r1::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] virtual/glu-9.0-r2::gentoo  ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-libs/glew-2.1.0-r1:0/2.1::gentoo  USE="-doc -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/openssl-1.0.2r::gentoo  USE="asm sslv3 tls-heartbeat zlib -bindist -gmp -kerberos -rfc3779 -sctp -sslv2 -static-libs -test -vanilla" ABI_X86="(64) -32* (-x32)" CPU_FLAGS_X86="(sse2)" 0 KiB
[ebuild   R    ] net-misc/iputils-20180629::gentoo  USE="arping ipv6 ssl -SECURITY_HAZARD -caps -clockdiff -doc -filecaps -gcrypt -idn -libressl -nettle -rarpd -rdisc -static -tftpd -tracepath -traceroute6% (-traceroute%)" 0 KiB
[ebuild   R    ] net-misc/curl-7.64.0::gentoo  USE="ipv6 ssl -adns -brotli -http2 -idn -kerberos -ldap -metalink -rtmp -samba -ssh -static-libs -test -threads" ABI_X86="(64) -32* (-x32)" CURL_SSL="openssl -gnutls -libressl -mbedtls -nss (-winssl)" 0 KiB
[ebuild     U  ] net-misc/openssh-7.9_p1-r4::gentoo [7.7_p1-r9::gentoo] USE="X pam pie ssl -X509 -audit -bindist -debug -hpn -kerberos -ldns -libedit -libressl -livecd -sctp (-selinux) -static -test (-skey%)" 0 KiB
[ebuild   R    ] dev-libs/cyrus-sasl-2.1.26-r10:2::gentoo  USE="berkdb gdbm pam ssl urandom -authdaemond -java -kerberos -ldapdb -libressl -mysql -openldap -postgres -sample (-selinux) -sqlite -srp -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-lang/orc-0.4.28-r1::gentoo  USE="-examples -pax_kernel -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] net-dialup/ppp-2.4.7-r7:0/2.4.7::gentoo [2.4.7-r6:0/2.4.7::gentoo] USE="ipv6 pam -activefilter -atm -dhcp -eap-tls -gtk -libressl -radius" 0 KiB
[ebuild     U  ] app-admin/monit-5.25.3::gentoo [5.25.1::gentoo] USE="ipv6%* pam ssl -libressl" 0 KiB
[ebuild   R    ] net-libs/libssh2-1.8.0-r1::gentoo  USE="zlib -gcrypt -libressl -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/libevent-2.1.8:0/2.1-6::gentoo  USE="ssl threads -debug -libressl -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/libevdev-1.6.0::gentoo  USE="-doc -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] sys-process/htop-2.2.0::gentoo  USE="unicode -openvz -vserver" PYTHON_SINGLE_TARGET="python3_5 -python2_7 -python3_6 (-python3_7) (-python3_4%)" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/pyparsing-2.2.0::gentoo  USE="-doc -examples" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild     U  ] dev-python/olefile-0.46::gentoo [0.44::gentoo] USE="-doc" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/pyxdg-0.25-r1::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/setproctitle-1.1.8::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/snowballstemmer-1.2.1::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild     U  ] dev-util/scons-3.0.4::gentoo [2.5.1::gentoo] USE="-doc -test%" PYTHON_TARGETS="python2_7 python3_5%* python3_6%* (-pypy%)" 0 KiB
[ebuild     U  ] net-libs/libtorrent-rasterbar-1.1.12:0/9::gentoo [1.1.10:0/9::gentoo] USE="dht python ssl -debug -doc -examples -libressl -static-libs -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_4%)" 0 KiB
[ebuild   R    ] sys-devel/gettext-0.19.8.1::gentoo  USE="acl cxx ncurses nls openmp -cvs -doc -emacs -git -java -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] net-libs/neon-0.30.2:0/27::gentoo  USE="nls ssl zlib -doc -expat -gnutls -kerberos -libproxy -libressl -pkcs11 -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] sys-apps/acl-2.2.52-r1::gentoo  USE="nls -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/popt-1.16-r2::gentoo  USE="nls -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild  NS    ] sys-devel/gcc-8.2.0-r6:8.2.0::gentoo [6.4.0-r1:6.4.0::gentoo, 7.3.0-r3:7.3.0::gentoo] USE="cxx fortran (multilib) nls nptl openmp pch (pie) sanitize ssp vtv (-altivec) -debug -doc (-fixed-point) -go -graphite (-hardened) (-jit) (-libssp) -mpx -objc -objc++ -objc-gc -pgo -regression-test -systemtap% -vanilla (-cilk%)" 0 KiB
[ebuild   R    ] dev-libs/libgpg-error-1.29::gentoo  USE="nls static-libs -common-lisp" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/libcdio-2.0.0-r1:0/18::gentoo  USE="cxx -cddb -minimal -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] app-crypt/rhash-1.3.6-r1::gentoo  USE="nls ssl -debug -libressl -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] net-dns/libidn-1.35:0/12::gentoo  USE="nls -doc -emacs -java -mono -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXpm-3.5.12-r1::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-libs/flac-1.3.2-r1::gentoo  USE="cxx (-altivec) -debug -ogg -static-libs" ABI_X86="(64) -32* (-x32)" CPU_FLAGS_X86="sse" 0 KiB
[ebuild     U  ] app-editors/nano-3.2::gentoo [2.9.8::gentoo] USE="magic ncurses nls spell unicode -debug -justify -minimal -slang -static" 0 KiB
[ebuild   R    ] dev-libs/confuse-3.0:0/1.0.0::gentoo  USE="nls -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] sys-fs/eudev-3.2.5::gentoo  USE="hwdb kmod -introspection -rule-generator (-selinux) -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/libgcrypt-1.8.3:0/20::gentoo  USE="static-libs -doc -o-flag-munging" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] sys-libs/binutils-libs-2.30-r4:0/2.30-r1::gentoo  USE="nls -64-bit-bfd -multitarget -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] app-editors/vim-8.1.0648-r1::gentoo [8.0.1298::gentoo] USE="X acl lua nls -cscope -debug -gpm -luajit -minimal -perl -python -racket -ruby (-selinux) -tcl -terminal -vim-pager" PYTHON_SINGLE_TARGET="python3_5 -python2_7 -python3_6 (-python3_7) (-python3_4%)" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] media-libs/libsndfile-1.0.28-r4::gentoo  USE="alsa -minimal -sqlite -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/newt-0.52.20::gentoo  USE="nls -gpm -tcl" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_4%)" 0 KiB
[ebuild   R    ] dev-libs/libcdio-paranoia-0.94_p2::gentoo  USE="cxx -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] net-dns/libidn2-2.1.1a::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/libxslt-1.1.32::gentoo  USE="crypt -debug -examples -python -static-libs" ABI_X86="(64) -32* (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] dev-libs/libtasn1-4.13:0/6::gentoo  USE="-doc -static-libs -test -valgrind" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-libs/openjpeg-2.3.0-r1:2/7::gentoo  USE="-doc -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-db/mysql-connector-c-6.1.11-r1:0/18::gentoo  USE="-libressl -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild  r  U  ] dev-libs/double-conversion-3.0.3:0/2::gentoo [3.0.0:0/1::gentoo] USE="-static-libs% -test" 0 KiB
[ebuild   R    ] dev-libs/yajl-2.1.0-r1:0/2::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-libs/taglib-1.11.1_p20181028::gentoo  USE="-debug -examples -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-gfx/graphite2-1.3.13::gentoo  USE="-perl -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] sys-devel/distcc-3.3.2-r5::gentoo [3.2_rc1-r4::gentoo] USE="ipv6 -gnome -gssapi -gtk -hardened (-selinux) -xinetd -zeroconf (-crossdev%)" PYTHON_SINGLE_TARGET="python3_5%* -python3_6%" PYTHON_TARGETS="python3_5%* python3_6%* (-python2_7%*)" 0 KiB
[ebuild   R    ] net-libs/libssh-0.8.6:0/4::gentoo  USE="sftp zlib -debug -doc -examples -gcrypt -gssapi -libressl -mbedtls -pcap -server -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/tinyxml2-6.2.0:0/6::gentoo  USE="-static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] dev-util/glib-utils-2.58.3::gentoo [2.56.4::gentoo] PYTHON_SINGLE_TARGET="python3_5 -python3_6 (-python3_7)" PYTHON_TARGETS="python3_5 python3_6 (-python3_7)" 0 KiB
[ebuild   R    ] net-libs/gnutls-3.6.6:0/30::gentoo  USE="cxx idn nls openssl seccomp tls-heartbeat -dane -doc -examples -guile -pkcs11 -sslv2 -sslv3 -static-libs -test (-test-full) -tools -valgrind" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] app-crypt/p11-kit-0.23.12::gentoo  USE="asn1 libffi trust -debug" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] dev-db/mysql-init-scripts-2.3::gentoo [2.2-r3::gentoo] 0 KiB
[ebuild   R    ] virtual/libmysqlclient-18:0/18::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] sys-boot/grub-2.02-r3:2/2.02-r3::gentoo [2.02-r1:2/2.02-r1::gentoo] USE="fonts nls themes -debug -device-mapper -doc -efiemu -libzfs -mount -multislot -sdl -static (-test) -truetype" GRUB_PLATFORMS="efi-64 pc -coreboot -efi-32 -emu -ieee1275 -loongson -multiboot -qemu -qemu-mips -uboot -xen -xen-32" 0 KiB
[ebuild   R    ] sys-apps/dbus-1.12.12-r1::gentoo  USE="X -debug -doc -elogind (-selinux) -static-libs -systemd -test -user-session" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] net-libs/libmicrohttpd-0.9.62:0/12::gentoo  USE="messages ssl -epoll -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] sys-fs/btrfs-progs-4.19::gentoo  USE="convert zstd -python -reiserfs -static -static-libs" PYTHON_SINGLE_TARGET="python3_5 -python3_6 (-python3_7) (-python3_4%)" PYTHON_TARGETS="python3_5 python3_6 (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/six-1.11.0::gentoo  USE="-doc -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/idna-2.5::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/chardet-3.0.4::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/pygments-2.2.0::gentoo  USE="-doc -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/pyasn1-0.2.3::gentoo  USE="-doc" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild     U  ] dev-python/pillow-5.4.1::gentoo [5.3.0::gentoo] USE="zlib -doc -examples -imagequant -jpeg -jpeg2k -lcms -test -tiff -tk -truetype -webp" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/asn1crypto-0.22.0::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/ply-3.9:0/3.9::gentoo  USE="-examples" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/snakeoil-0.7.5::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/alabaster-0.7.9::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/imagesize-0.7.1::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/sphinx_rtd_theme-0.2.4::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/sqlalchemy-1.2.7::gentoo  USE="sqlite -doc -examples -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/whoosh-2.7.4::gentoo  USE="-doc -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/namespace-sphinxcontrib-1.0::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/PySocks-1.6.7::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/pytz-2018.4::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/typing-3.6.2-r1::gentoo  PYTHON_TARGETS="python2_7 (-pypy) (-python3_4%)" 0 KiB
[ebuild     U  ] dev-python/enum34-1.1.6-r1::gentoo [1.1.6::gentoo] USE="-doc" PYTHON_TARGETS="python2_7 (-pypy) (-pypy3%)" 0 KiB
[ebuild   R    ] dev-python/incremental-16.10.1::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/constantly-15.1.0::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/defusedxml-0.5.0::gentoo  USE="-examples" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/namespace-zope-1::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] net-analyzer/speedtest-cli-2.0.2::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/paver-1.2.4::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/cython-0.25.2::gentoo  USE="-doc -emacs -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/numpy-1.14.5::gentoo  USE="-doc -lapack -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/psutil-5.4.3::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/docutils-0.14::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] media-libs/libepoxy-1.5.3::gentoo  USE="X -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] virtual/python-ipaddress-1.0-r1::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/zope-interface-4.4.3::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/pycparser-2.14::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild     U  ] dev-python/Babel-2.6.0::gentoo [2.5.3-r1::gentoo] USE="-doc -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/jinja-2.10::gentoo  USE="-doc -examples -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/packaging-16.8::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild   R    ] virtual/python-typing-0-r1::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild  N     ] virtual/python-enum34-2::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7)" 0 KiB
[ebuild   R    ] dev-python/pyasn1-modules-0.0.8::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild   R   ~] sys-apps/pkgcore-0.9.7::gentoo  USE="-doc -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/cffi-1.11.4:0/1.11.4::gentoo  USE="-doc -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/attrs-18.2.0::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] app-portage/gentoolkit-0.4.2-r1::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-java/java-config-2.2.0-r4:2::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/cryptography-2.2.2-r1::gentoo  USE="-libressl -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild  N     ] virtual/python-cffi-0::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7)" 0 KiB
[ebuild   R    ] dev-python/pyopenssl-17.5.0::gentoo  USE="-doc -examples -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild  N     ] dev-python/pycryptodome-3.6.6::gentoo  PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7)" 0 KiB
[ebuild   R    ] dev-python/urllib3-1.22::gentoo  USE="-doc -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/service_identity-16.0.0::gentoo  USE="-doc -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-python3_4%)" 0 KiB
[ebuild     U  ] net-misc/youtube-dl-2019.03.18::gentoo [2019.02.08::gentoo] PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/requests-2.21.0-r1::gentoo  USE="ssl -socks5" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/twisted-16.6.0-r3::gentoo  USE="crypt soap -conch -http2 -serial -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_4%)" 0 KiB
[ebuild     U  ] net-p2p/deluge-1.3.15-r3::gentoo [1.3.15-r2::gentoo] USE="console webinterface -geoip -gtk -libnotify -sound" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] media-libs/fontconfig-2.13.0-r4:1.0::gentoo  USE="-doc -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-video/ffmpeg-3.4.5:0/55.57.57::gentoo  USE="X alsa bzip2 encode fontconfig gpl hardcoded-tables iconv network openssl postproc threads vdpau zlib (-altivec) -amr -amrenc (-appkit) -bluray -bs2b -cdio -chromaprint -chromium -cpudetection -debug -doc -fdk -flite -frei0r -fribidi -gcrypt -gme -gmp -gnutls -gsm -iec61883 -ieee1394 -jack -jpeg2k -kvazaar -ladspa -libass -libcaca -libdrm -libilbc -librtmp -libsoxr -libv4l -lzma (-mipsdspr1) (-mipsdspr2) (-mipsfpu) (-mmal) -modplug -mp3 -nvenc -openal -opencl -opengl -openh264 -opus -oss -pic -pulseaudio -rubberband -samba -sdl -snappy -speex -ssh -static-libs -svg -test -theora -truetype -twolame -v4l -vaapi -vorbis -vpx -wavpack -webp -x264 -x265 -xcb -xvid -zeromq -zimg -zvbi" ABI_X86="(64) -32* (-x32)" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3 -3dnow -3dnowext -aes -avx -avx2 -fma3 -fma4 -xop" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart sidxindex trasher" 0 KiB
[ebuild   R    ] x11-libs/libXft-2.3.2-r1::gentoo  USE="-static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] media-gfx/imagemagick-7.0.8.28:0/7.0.8.28::gentoo [7.0.8.27:0/7.0.8.27::gentoo] USE="X bzip2 cxx fontconfig openmp png raw xml zlib -corefonts -djvu -fftw -fpx -graphviz -hdri -heif -jbig -jpeg -jpeg2k -lcms -lqr -lzma (-opencl) -openexr -pango -perl -postscript -q32 -q8 -static-libs -svg -test -tiff -truetype -webp -wmf" 0 KiB
[ebuild   R    ] media-libs/chromaprint-1.4.3:0/1::gentoo  USE="tools -libav -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] sci-visualization/gnuplot-5.2.5::gentoo [5.2.2::gentoo] USE="X gd lua readline (-aqua) -bitmap -cairo -compat -doc -examples -ggi -latex -libcaca -libcerf -qt5 -regis (-svga) -wxwidgets" 0 KiB
[ebuild     U  ] dev-ruby/rubygems-2.7.9::gentoo [2.7.6-r1::gentoo] USE="-server -test" RUBY_TARGETS="ruby23 ruby24 (-ruby25)" 0 KiB
[ebuild   R    ] dev-ruby/xmlrpc-0.3.0::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 (-ruby25) (-ruby26)" 0 KiB
[ebuild     U  ] dev-util/gdbus-codegen-2.58.3::gentoo [2.56.4::gentoo] PYTHON_SINGLE_TARGET="python3_5 -python2_7 -python3_6 (-python3_7)" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_7)" 0 KiB
[ebuild     U  ] dev-libs/glib-2.58.3:2::gentoo [2.56.4:2::gentoo] USE="dbus mime xattr -debug (-fam) -gtk-doc% (-selinux) -static-libs -systemtap -test -utils" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-libs/cairo-1.16.0-r3::gentoo [1.16.0-r2::gentoo] USE="X glib opengl svg xcb (-aqua) -debug (-gles2) -static-libs -utils -valgrind" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/dbus-glib-0.110::gentoo  USE="-debug -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-util/pkgconfig-0.29.2::gentoo  USE="-hardened -internal-glib" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] app-emulation/qemu-3.1.0-r1::gentoo  USE="aio alsa bzip2 caps curl fdt filecaps jpeg ncurses nls pin-upstream-blobs png seccomp vhost-net vnc xattr -accessibility (-capstone) -debug (-glusterfs) -gnutls -gtk -infiniband -iscsi -lzo -nfs -numa -opengl -pulseaudio -python -rbd -sasl -sdl (-selinux) -smartcard -snappy -spice -ssh (-static) -static-user -systemtap -tci -test -usb -usbredir -vde -virgl -virtfs -vte -xen -xfs" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_7) (-python3_4%)" QEMU_SOFTMMU_TARGETS="x86_64 -aarch64 -alpha -arm -cris -hppa -i386 -lm32 -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -moxie -nios2 -or1k -ppc -ppc64 -riscv32 -riscv64 -s390x -sh4 -sh4eb -sparc -sparc64 -tricore -unicore32 -xtensa -xtensaeb" QEMU_USER_TARGETS="-aarch64 -aarch64_be -alpha -arm -armeb -cris -hppa -i386 -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -mipsn32 -mipsn32el -nios2 -or1k -ppc -ppc64 -ppc64abi32 -ppc64le -riscv32 -riscv64 -s390x -sh4 -sh4eb -sparc -sparc32plus -sparc64 -tilegx -x86_64 -xtensa -xtensaeb" 0 KiB
[ebuild  rR    ] dev-qt/qtcore-5.11.3-r2:5/5.11::gentoo  USE="-debug -icu -systemd -test" 0 KiB
[ebuild   R    ] dev-libs/libsigc++-2.10.1:2::gentoo  USE="-doc -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/libcroco-0.6.12-r1:0.6::gentoo  USE="-test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-python/pycairo-1.17.0-r1::gentoo  USE="-doc -examples -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] net-libs/libndp-1.6-r1::gentoo  ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/libgudev-232::gentoo  USE="-introspection -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-python/dbus-python-1.2.4::gentoo  USE="-doc -examples -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_4%)" 0 KiB
[ebuild   R    ] x11-libs/gdk-pixbuf-2.36.12:2::gentoo  USE="X introspection -debug -jpeg -jpeg2k -test -tiff" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-libs/atk-2.28.1::gentoo  USE="introspection nls -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] virtual/libgudev-232::gentoo  USE="-introspection -static-libs" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] media-libs/harfbuzz-2.3.1:0/0.9.18::gentoo [2.0.2-r1:0/0.9.18::gentoo] USE="cairo glib graphite icu introspection truetype -debug -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] dev-cpp/glibmm-2.56.1:2::gentoo [2.56.0:2::gentoo] USE="-debug -doc -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-cpp/cairomm-1.12.0-r1::gentoo  USE="X svg (-aqua) -doc" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] net-dns/avahi-0.7-r1::gentoo  USE="dbus gdbm introspection ipv6 nls -autoipd -bookmarks -doc -gtk -gtk3 -howl-compat -mdnsresponder-compat -mono -python -qt5 (-selinux) -test" ABI_X86="(64) -32* (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] app-accessibility/at-spi2-core-2.26.2:2::gentoo  USE="X introspection" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] gnome-base/gconf-3.2.6-r4:2::gentoo  USE="introspection -debug -ldap -policykit" ABI_X86="(64) -32* (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] dev-python/pygobject-3.28.3:3::gentoo  USE="cairo -examples -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-libs/json-glib-1.4.4::gentoo  USE="introspection -gtk-doc" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/pango-1.42.4::gentoo  USE="X introspection -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] app-accessibility/at-spi2-atk-2.26.2:2::gentoo  USE="-test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-cpp/atkmm-2.24.2::gentoo  USE="-doc" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] sys-power/upower-0.99.9-r1:0/3::gentoo [0.99.8-r1:0/3::gentoo] USE="introspection -doc -ios (-selinux)" 0 KiB
[ebuild   R    ] gnome-base/librsvg-2.40.18:2::gentoo  USE="introspection -tools -vala" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-cpp/pangomm-2.42.0:1.4::gentoo  USE="-doc" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] media-video/mpv-0.27.2::gentoo  USE="X alsa cli egl iconv libass lua opengl uchardet xv zlib (-aqua) -archive -bluray -cdda (-coreaudio) -cplugins (-cuda) -doc -drm -dvb -dvd -encode -gbm -jack (-javascript) -jpeg -lcms (-libav) -libcaca -libmpv -luajit -openal -oss -pulseaudio (-raspberry-pi) -rubberband -samba -sdl (-selinux) -test -tools -v4l -vaapi -vdpau -wayland -zsh-completion" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-python3_4%)" 0 KiB
[ebuild   R    ] net-print/cups-2.2.7::gentoo  USE="X acl dbus pam ssl threads -debug -java -kerberos -lprng-compat -python (-selinux) -static-libs -systemd -usb -xinetd -zeroconf" ABI_X86="(64) -32* (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] x11-libs/gtk+-3.24.1:3::gentoo  USE="X cups introspection (-aqua) -broadway -cloudprint -colord -examples -gtk-doc -test -vim-syntax -wayland -xinerama" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] net-misc/networkmanager-1.14.6::gentoo [1.14.4::gentoo] USE="audit bluetooth connection-sharing dhclient introspection modemmanager ncurses nss ppp vala wext wifi -consolekit -dhcpcd -elogind -gnutls (-iwd) -json -ofono -ovs -policykit -resolvconf (-selinux) -systemd -teamd -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] dev-cpp/gtkmm-3.24.0:3.0::gentoo  USE="X (-aqua) -doc -test -wayland" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] net-libs/libproxy-0.4.13-r2::gentoo  USE="networkmanager -gnome -kde -mono -perl -python -spidermonkey -test -webkit" ABI_X86="(64) -32* (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] x11-libs/libnotify-0.7.7-r1::gentoo  USE="introspection -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] net-libs/glib-networking-2.58.0::gentoo [2.50.0::gentoo] USE="libproxy ssl -gnome -test (-smartcard%)" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U ~] www-client/opera-beta-60.0.3255.15::gentoo [58.0.3135.59::gentoo] L10N="be bg bn ca cs da de el en-GB es es-419 fi fil fr fr-CA hi hr hu id it ja ko lt lv ms nb nl pl pt-BR pt-PT ro ru sk sr sv sw ta te th tr uk vi zh-CN zh-TW" 0 KiB
[ebuild   R    ] net-libs/libsoup-2.58.2:2.4::gentoo  USE="introspection ssl -debug -gssapi -samba -test -vala" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libva-1.7.3::gentoo  USE="X drm opengl -egl -vdpau -wayland" ABI_X86="(64) -32* (-x32)" VIDEO_CARDS="nvidia -dummy -i965 -intel -nouveau" 0 KiB
[ebuild   R    ] x11-libs/libva-vdpau-driver-0.7.4-r4::gentoo  USE="-debug -opengl" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] media-tv/kodi-17.6-r11::gentoo [17.3-r1::gentoo] USE="airplay alsa bluetooth css dbus dvd opengl (system-ffmpeg) udev upnp vaapi vdpau webserver xslt zeroconf -bluray -caps -cec -debug -gles -java -lcms% -libressl -libusb -lirc (-mariadb) -mysql -nfs -nonfree -pulseaudio -samba -sftp -systemd -test -udisks -upower (-X%*)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] x11-libs/xcb-util-0.4.0-r1::gentoo  USE="-doc -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/xcb-util-image-0.4.0-r1::gentoo  USE="-doc -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/xcb-util-xrm-1.3::gentoo  USE="-doc -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] x11-libs/xcb-util-cursor-0.1.3-r2::gentoo  USE="-doc -static-libs -test" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] dev-db/mariadb-10.2.22-r1:0/18::gentoo [10.1.37:0/18::gentoo] USE="backup pam perl server -bindist (-client-libs) -cracklib -debug -extraengine -galera -innodb-lz4 -innodb-lzo -innodb-snappy -jdbc -jemalloc -kerberos -latin1 -libressl (-mroonga) -numa -odbc -oqgraph -profiling -rocksdb% (-selinux) -sphinx -sst-mariabackup -sst-rsync -sst-xtrabackup -static -systemd -systemtap -tcmalloc -test -tokudb -xml -yassl (-static-libs%)" ABI_X86="(-32%*) (-64%*) (-x32%)" 0 KiB
[ebuild   R    ] media-sound/pulseaudio-12.2::gentoo  USE="X alsa alsa-plugin asyncns bluetooth caps dbus gdbm glib ipv6 orc ssl tcpd udev webrtc-aec -doc -equalizer -gconf -gtk -jack -libressl -libsamplerate -lirc -native-headset (-neon) -ofono-headset (-oss) -qt5 -realtime (-selinux) -sox (-system-wide) -systemd -test -zeroconf" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild     U  ] media-plugins/alsa-plugins-1.1.8::gentoo [1.1.6::gentoo] USE="mix pulseaudio usb_stream -arcam_av -debug -ffmpeg -jack -libav -libsamplerate -oss -speex" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild   R    ] app-crypt/libsecret-0.18.6-r1::gentoo  USE="crypt introspection -test -vala" ABI_X86="(64) -32* (-x32)" 0 KiB
[ebuild  rR    ] mail-client/mutt-1.10.1::gentoo  USE="berkdb crypt hcache imap lmdb nls sasl smtp ssl -debug -doc -gdbm -gnutls -gpg -gpgme -idn -kerberos -libressl -mbox -nntp -notmuch -pgp_classic -pop (-prefix) -qdbm (-selinux) -slang -smime -smime_classic -tokyocabinet -vanilla" 0 KiB
[ebuild     U  ] dev-vcs/git-2.21.0::gentoo [2.19.2::gentoo] USE="blksha1 curl gpg iconv nls pcre pcre-jit perl python threads webdav -cgi -cvs -doc -emacs -gnome-keyring -highlight -libressl -mediawiki -mediawiki-experimental (-ppcsha1) -subversion -test -tk -xinetd" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] dev-python/sphinxcontrib-websupport-1.1.0::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB
[ebuild   R    ] dev-python/sphinx-1.7.5-r1::gentoo  USE="-doc -latex -net -test" PYTHON_TARGETS="python2_7 python3_5 python3_6 (-pypy) (-pypy3) (-python3_7) (-python3_4%)" 0 KiB

Total: 234 packages (37 upgrades, 3 new, 1 in new slot, 193 reinstalls), Size of downloads: 0 KiB

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

sys-libs/zlib:0

  (sys-libs/zlib-1.2.11-r2:0/1::gentoo, ebuild scheduled for merge) conflicts with
    >=sys-libs/zlib-1.2.8-r1:0/1=[abi_x86_32(-),abi_x86_64(-)] required by (dev-libs/libxml2-2.9.6:2/2::gentoo, installed)
                                                             
    >=sys-libs/zlib-1.2.8-r1[abi_x86_32(-),abi_x86_64(-)] required by (dev-libs/elfutils-0.170-r1:0/0::gentoo, installed)
                                                         
    >=sys-libs/zlib-1.2.8[abi_x86_32(-),abi_x86_64(-)] required by (media-libs/mesa-18.2.8:0/0::gentoo, installed)
                                                     
    >=sys-libs/zlib-1.2.8-r1[abi_x86_32(-),abi_x86_64(-)] required by (dev-libs/glib-2.58.3:2/2::gentoo, ebuild scheduled for merge)
                                                         
    >=sys-libs/zlib-1.2.8-r1:0/1=[abi_x86_32(-),abi_x86_64(-)] required by (sys-libs/cracklib-2.9.6-r2:0/0::gentoo, installed)
                                                             
    >=sys-libs/zlib-1.2.8-r1:=[abi_x86_32(-),abi_x86_64(-)] required by (sys-libs/cracklib-2.9.6-r2:0/0::gentoo, installed)
                                                           

x11-libs/libXau:0

  (x11-libs/libXau-1.0.8-r1:0/0::gentoo, ebuild scheduled for merge) conflicts with
    >=x11-libs/libXau-1.0.7-r1[abi_x86_32(-),abi_x86_64(-)] required by (x11-libs/libxcb-1.13.1:0/1.12::gentoo, installed)
                                                           
    x11-libs/libXau[abi_x86_32] required by (games-util/steam-launcher-1.0.0.54-r3:0/0::steam-overlay, installed)
                    ^^^^^^^^^^

dev-libs/expat:0

  (dev-libs/expat-2.2.6:0/0::gentoo, ebuild scheduled for merge) conflicts with
    >=dev-libs/expat-2.1.0-r3:=[abi_x86_32(-),abi_x86_64(-)] required by (media-libs/mesa-18.2.8:0/0::gentoo, installed)
                                                           
    >=dev-libs/expat-2.1.0-r3:0/0=[abi_x86_32(-),abi_x86_64(-)] required by (media-libs/mesa-18.2.8:0/0::gentoo, installed)
                                                               

x11-libs/libXrender:0

  (x11-libs/libXrender-0.9.10-r1:0/0::gentoo, ebuild scheduled for merge) conflicts with
    >=x11-libs/libXrender-0.9.8[abi_x86_32(-),abi_x86_64(-)] required by (x11-libs/libXrandr-1.5.1-r1:0/0::gentoo, installed)
                                                           

sys-apps/util-linux:0

  (sys-apps/util-linux-2.33-r1:0/0::gentoo, ebuild scheduled for merge) conflicts with
    >=sys-apps/util-linux-2.23[abi_x86_32(-),abi_x86_64(-)] required by (dev-libs/glib-2.58.3:2/2::gentoo, ebuild scheduled for merge)
                                                           

sys-apps/attr:0

  (sys-apps/attr-2.4.47-r2:0/0::gentoo, ebuild scheduled for merge) conflicts with
    >=sys-apps/attr-2.4.47-r1[abi_x86_32(-),abi_x86_64(-)] required by (dev-libs/glib-2.58.3:2/2::gentoo, ebuild scheduled for merge)
                                                         

sys-libs/db:5.3

  (sys-libs/db-5.3.28-r2:5.3/5.3::gentoo, ebuild scheduled for merge) conflicts with
    >=sys-libs/db-4.8.30-r1:5.3/5.3=[abi_x86_32(-),abi_x86_64(-)] required by (sys-libs/pam-1.2.1:0/0::gentoo, installed)
                                                                 

sys-devel/flex:0

  (sys-devel/flex-2.6.4-r1:0/0::gentoo, ebuild scheduled for merge) conflicts with
    >=sys-devel/flex-2.5.39-r1[abi_x86_32(-),abi_x86_64(-)] required by (sys-libs/pam-1.2.1:0/0::gentoo, installed)
                                                           

media-libs/alsa-lib:0

  (media-libs/alsa-lib-1.1.8:0/0::gentoo, ebuild scheduled for merge) conflicts with
    >=media-libs/alsa-lib-1.0[abi_x86_32(-),abi_x86_64(-)] required by (media-sound/bluez-alsa-1.2.0:0/0::gentoo, installed)
                                                         

net-wireless/bluez:0

  (net-wireless/bluez-5.50-r1:0/3::gentoo, ebuild scheduled for merge) conflicts with
    >=net-wireless/bluez-5[abi_x86_32(-),abi_x86_64(-)] required by (media-sound/bluez-alsa-1.2.0:0/0::gentoo, installed)
                                                       

virtual/libintl:0

  (virtual/libintl-0-r2:0/0::gentoo, ebuild scheduled for merge) conflicts with
    =virtual/libintl-0-r2[abi_x86_32(-),abi_x86_64(-)] required by (sys-libs/pam-1.2.1:0/0::gentoo, installed)
                                                     
    >=virtual/libintl-0-r2[abi_x86_32(-),abi_x86_64(-)] required by (dev-libs/glib-2.58.3:2/2::gentoo, ebuild scheduled for merge)
                                                       
    =virtual/libintl-0-r2[abi_x86_32(-),abi_x86_64(-)] required by (dev-libs/glib-2.58.3:2/2::gentoo, ebuild scheduled for merge)
                                                     
    >=virtual/libintl-0-r1[abi_x86_32(-),abi_x86_64(-)] required by (sys-libs/pam-1.2.1:0/0::gentoo, installed)
                                                       
    =virtual/libintl-0-r2[abi_x86_32(-),abi_x86_64(-)] required by (sys-apps/util-linux-2.33-r1:0/0::gentoo, installed)
                                                     
    virtual/libintl[abi_x86_32(-),abi_x86_64(-)] required by (sys-apps/util-linux-2.33-r1:0/0::gentoo, installed)
                                               

virtual/libiconv:0

  (virtual/libiconv-0-r2:0/0::gentoo, ebuild scheduled for merge) conflicts with
    >=virtual/libiconv-0-r1[abi_x86_32(-),abi_x86_64(-)] required by (dev-libs/glib-2.58.3:2/2::gentoo, ebuild scheduled for merge)
                                                       
    =virtual/libiconv-0-r2[abi_x86_32(-),abi_x86_64(-)] required by (dev-libs/glib-2.58.3:2/2::gentoo, ebuild scheduled for merge)
                                                       

x11-base/xcb-proto:0

  (x11-base/xcb-proto-1.13:0/0::gentoo, ebuild scheduled for merge) conflicts with
    >=x11-base/xcb-proto-1.13[abi_x86_32(-),abi_x86_64(-),python_targets_python3_6(-),python_single_target_python3_6(+)] required by (x11-libs/libxcb-1.13.1:0/1.12::gentoo, installed)
                                                                                                                       


The following packages are causing rebuilds:

  (dev-libs/double-conversion-3.0.3:0/2::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (dev-qt/qtcore-5.11.3-r2:5/5.11::gentoo, ebuild scheduled for merge)

!!! The following updates are masked by LICENSE changes:
- www-client/opera-58.0.3135.127::gentoo (masked by: OPERA-2014 license(s))
A copy of the 'OPERA-2014' license is located at '/usr/portage/licenses/OPERA-2014'.

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Would you like to merge these packages? [Yes/No]
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21779
Location: here

PostPosted: Tue Apr 02, 2019 11:47 am    Post subject: Reply with quote

You removed some 32bit support, try to add abi_x86_32 use flag to x11-libs/libXau-1.0.8-r1 package and see if portage re-enable 32bit support to other packages
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
krinn
Watchman
Watchman


Joined: 02 May 2003
Posts: 7071

PostPosted: Tue Apr 02, 2019 4:47 pm    Post subject: Reply with quote

fedeliallalinea wrote:
You removed some 32bit support, try to add abi_x86_32 use flag to x11-libs/libXau-1.0.8-r1 package and see if portage re-enable 32bit support to other packages

Which raise the doubt: you think he has disable ALL of them without noticing? It seems a real mess as some package have *32 set and many -32*
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21779
Location: here

PostPosted: Tue Apr 02, 2019 5:15 pm    Post subject: Reply with quote

krinn wrote:
Which raise the doubt: you think he has disable ALL of them without noticing? It seems a real mess as some package have *32 set and many -32*

No, but probably he added package in package.use with specific version.
Re-adding abi_x86_32 use flag to x11-libs/libXau package probably portage want to enable all others
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 5:29 pm    Post subject: Reply with quote

Just adding the abi_x86_32 use flag to package.use for the libXau package....waiting to see what emerge output is going to deliver.

I appreciate the thought that this may have been done mistakenly, but it was not. The reason I removed it, was for space.

And because I no longer building packages for 32-bit hosts, just my one system. Nowhere did I actually specify -abi32 at least I don't think so.
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 5:31 pm    Post subject: Reply with quote

Crap I just remembered I have steam, which I think requires adding this to a bunch of different packages.

Is it better practice to add this flag globally, or by package?
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Tue Apr 02, 2019 5:32 pm    Post subject: Reply with quote

Quote:
You removed some 32bit support, try to add abi_x86_32 use flag to x11-libs/libXau-1.0.8-r1 package and see if portage re-enable 32bit support to other packages

I did remove 32bit support from my make config file.
I just tried your suggestion, but no luck.

I could add back the 32bit if it makes things easier. Especially I know steam will probably like that!
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21779
Location: here

PostPosted: Tue Apr 02, 2019 6:38 pm    Post subject: Reply with quote

LIsLinuxIsSogood wrote:
Is it better practice to add this flag globally, or by package?

For package in my opinion, steam not require 32bit support to all your installed packages
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
g2g591
Apprentice
Apprentice


Joined: 17 Sep 2007
Posts: 184

PostPosted: Tue Apr 02, 2019 6:44 pm    Post subject: Reply with quote

If you want a good idea on what steam wants to have 32 bit support, check the wiki and/or steam-overlay's ebuild. It doesn't hurt to give everything 32 bit support, but it does take extra build time and disk space.
Back to top
View user's profile Send private message
LIsLinuxIsSogood
Veteran
Veteran


Joined: 13 Feb 2016
Posts: 1014

PostPosted: Wed Apr 03, 2019 6:43 am    Post subject: Reply with quote

I am thinking maybe to rebuild everything if the problems dont actually work their way through these updates. Yes i want to be able to have package use flags, but so many of the ones that are there were added or modified for the purpose of making a previous update work. I have never really done a emerge -e on any large group of packages. Could there be reason for me either in favor or against building it all over.

On the plus maybe compiling it all with gcc-7 since injust updated.

However in the negative what if certain conflicts appear or worse what to do if some things wont build. I dont know, but does anyone have some valuable experience in the way of is this a good idea, or not?

All else being equal i would much rather not have to tie up the processor for a complete rebuilding of every package. And what should i do regarding the many messy use flags by package. Would it help to review one by one? Or consolidate them all or remove?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum